Databases - Create Or Update
Membuat database atau pembaruan baru database yang ada.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}?api-version=2021-02-01-preview
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
|
Nama database. |
|
resource
|
path | True |
|
Nama grup sumber daya yang berisi sumber daya. Anda dapat memperoleh nilai ini dari Azure Resource Manager API atau portal. |
|
server
|
path | True |
|
Nama server. |
|
subscription
|
path | True |
|
ID langganan yang mengidentifikasi langganan Azure. |
|
api-version
|
query | True |
|
Versi API yang digunakan untuk permintaan. |
Isi Permintaan
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
|
Lokasi sumber daya. |
| properties.autoPauseDelay |
|
Waktu dalam menit setelah database dijeda secara otomatis. Nilai -1 berarti bahwa jeda otomatis dinonaktifkan |
|
| properties.catalogCollation |
Kolate katalog metadata. |
||
| properties.collation |
|
Kolae database. |
|
| properties.createMode |
Menentukan mode pembuatan database. Default: pembuatan database reguler. Salin: membuat database sebagai salinan database yang sudah ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya database sumber. Sekunder: membuat database sebagai replika sekunder dari database yang ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya dari database utama yang ada. PointInTimeRestore: Membuat database dengan memulihkan cadangan titik waktu database yang sudah ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya database yang ada, dan restorePointInTime harus ditentukan. Pemulihan: Membuat database dengan memulihkan cadangan yang direplikasi secara geografis. sourceDatabaseId harus ditentukan sebagai ID sumber daya database yang dapat dipulihkan untuk dipulihkan. Pemulihan: Membuat database dengan memulihkan cadangan database yang dihapus. sourceDatabaseId harus ditentukan. Jika sourceDatabaseId adalah ID sumber daya asli database, maka sourceDatabaseDeletionDate harus ditentukan. Jika tidak, sourceDatabaseId harus berupa ID sumber daya database yang dihilangkan dan sourceDatabaseDeletionDate diabaikan. restorePointInTime juga dapat ditentukan untuk memulihkan dari titik waktu sebelumnya. RestoreLongTermRetentionBackup: Membuat database dengan memulihkan dari vault retensi jangka panjang. recoveryServicesRecoveryPointResourceId harus ditentukan sebagai ID sumber daya titik pemulihan. Copy, Secondary, dan RestoreLongTermRetentionBackup tidak didukung untuk edisi DataWarehouse. |
||
| properties.elasticPoolId |
|
Pengidentifikasi sumber daya kumpulan elastis yang berisi database ini. |
|
| properties.highAvailabilityReplicaCount |
|
Jumlah replika sekunder yang terkait dengan database yang digunakan untuk memberikan ketersediaan tinggi. |
|
| properties.isLedgerOn |
|
Apakah database ini adalah database ledger atau tidak, yang berarti semua tabel dalam database adalah tabel ledger. Catatan: nilai properti ini tidak dapat diubah setelah database dibuat. |
|
| properties.licenseType |
Jenis lisensi yang akan diterapkan untuk database ini. |
||
| properties.longTermRetentionBackupResourceId |
|
Pengidentifikasi sumber daya dari cadangan retensi jangka panjang yang terkait dengan operasi pembuatan database ini. |
|
| properties.maintenanceConfigurationId |
|
Id konfigurasi pemeliharaan yang ditetapkan ke database. Konfigurasi ini menentukan periode kapan pembaruan pemeliharaan akan terjadi. |
|
| properties.maxSizeBytes |
|
Ukuran maksimum database yang dinyatakan dalam byte. |
|
| properties.minCapacity |
|
Kapasitas minimal yang akan selalu dialokasikan database, jika tidak dijeda |
|
| properties.readScale |
Status perutean baca-saja. Jika diaktifkan, koneksi yang memiliki niat aplikasi diatur ke readonly di string koneksi mereka dapat dirutekan ke replika sekunder baca-saja di wilayah yang sama. |
||
| properties.recoverableDatabaseId |
|
Pengidentifikasi sumber daya database yang dapat dipulihkan yang terkait dengan operasi pembuatan database ini. |
|
| properties.recoveryServicesRecoveryPointId |
|
Pengidentifikasi sumber daya titik pemulihan yang terkait dengan operasi pembuatan database ini. |
|
| properties.requestedBackupStorageRedundancy |
Jenis akun penyimpanan yang akan digunakan untuk menyimpan cadangan untuk database ini. |
||
| properties.restorableDroppedDatabaseId |
|
Pengidentifikasi sumber daya dari database yang dihilangkan yang dapat dicabut yang terkait dengan operasi pembuatan database ini. |
|
| properties.restorePointInTime |
|
Menentukan titik waktu (format ISO8601) dari database sumber yang akan dipulihkan untuk membuat database baru. |
|
| properties.sampleName |
Nama skema sampel yang akan diterapkan saat membuat database ini. |
||
| properties.secondaryType |
Jenis sekunder database jika merupakan sekunder. Nilai yang valid adalah Geo dan Named. |
||
| properties.sourceDatabaseDeletionDate |
|
Menentukan waktu database dihapus. |
|
| properties.sourceDatabaseId |
|
Pengidentifikasi sumber daya database sumber yang terkait dengan operasi pembuatan database ini. |
|
| properties.zoneRedundant |
|
Apakah database ini zona redundan atau tidak, yang berarti replika database ini akan tersebar di beberapa zona ketersediaan. |
|
| sku |
SKU database. Daftar SKU dapat bervariasi menurut wilayah dan penawaran dukungan. Untuk menentukan SKU (termasuk nama SKU, tingkat/edisi, keluarga, dan kapasitas) yang tersedia untuk langganan Anda di wilayah Azure, gunakan
|
||
| tags |
|
Tag sumber daya. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Berhasil memperbarui database. |
|
| 201 Created |
Berhasil membuat database. |
|
| 202 Accepted |
Membuat atau memperbarui database sedang berlangsung. |
|
| Other Status Codes |
Respons Kesalahan: ***
|
Contoh
Creates a database as a copy.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/dbcopy?api-version=2021-02-01-preview
{
"location": "southeastasia",
"sku": {
"name": "S0",
"tier": "Standard"
},
"properties": {
"createMode": "Copy",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb"
}
}
Sample Response
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/dbcopy",
"name": "dbcopy",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/dbcopy",
"name": "dbcopy",
"type": "Microsoft.Sql/servers/databases"
}
Creates a database as an on-line secondary.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia",
"sku": {
"name": "S0",
"tier": "Standard"
},
"properties": {
"createMode": "Secondary",
"secondaryType": "Geo",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-NorthEurope/providers/Microsoft.Sql/servers/testsvr1/databases/testdb"
}
}
Sample Response
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"secondaryType": "Geo",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"secondaryType": "Geo",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Creates a database as named replica secondary.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia",
"sku": {
"name": "HS_Gen4",
"tier": "Hyperscale",
"capacity": 2
},
"properties": {
"createMode": "Secondary",
"secondaryType": "Named",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-NorthEurope/providers/Microsoft.Sql/servers/testsvr1/databases/primarydb"
}
}
Sample Response
{
"sku": {
"name": "HS_Gen4",
"tier": "Hyperscale",
"family": "Gen4",
"capacity": 2
},
"kind": "v12.0,user,vcore,hyperscale",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": -1,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "HS_Gen4",
"tier": "Hyperscale",
"family": "Gen4",
"capacity": 2
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "HS_Gen4_2",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "HS_Gen4_2",
"highAvailabilityReplicaCount": 0,
"licenseType": "LicenseIncluded",
"secondaryType": "Named",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "HS_Gen4",
"tier": "Hyperscale",
"family": "Gen4",
"capacity": 2
},
"kind": "v12.0,user,vcore,hyperscale",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": -1,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "HS_Gen4",
"tier": "Hyperscale",
"family": "Gen4",
"capacity": 2
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "HS_Gen4_2",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "HS_Gen4_2",
"highAvailabilityReplicaCount": 0,
"licenseType": "LicenseIncluded",
"secondaryType": "Named",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Creates a database from PointInTimeRestore.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/dbpitr?api-version=2021-02-01-preview
{
"location": "southeastasia",
"properties": {
"createMode": "PointInTimeRestore",
"sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SoutheastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"restorePointInTime": "2020-10-22T05:35:31.503Z"
}
}
Sample Response
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "2463ef48-53e2-4c26-9781-2d7138080bfd",
"creationDate": "2020-10-23T20:31:35.807Z",
"currentServiceObjectiveName": "S0",
"requestedServiceObjectiveName": "S0",
"defaultSecondaryLocation": "SoutheastAsia",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"earliestRestoreDate": "2020-10-23T20:47:37Z",
"readScale": "Disabled",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"currentBackupStorageRedundancy": "Geo",
"requestedBackupStorageRedundancy": "Geo",
"isLedgerOn": false
},
"location": "SoutheastAsia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SoutheastAsia/providers/Microsoft.Sql/servers/testsvr/databases/dbpitr",
"name": "dbpitr",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "2463ef48-53e2-4c26-9781-2d7138080bfd",
"creationDate": "2020-10-23T20:31:35.807Z",
"currentServiceObjectiveName": "S0",
"requestedServiceObjectiveName": "S0",
"defaultSecondaryLocation": "SoutheastAsia",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"earliestRestoreDate": "2020-10-23T20:47:37Z",
"readScale": "Disabled",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"currentBackupStorageRedundancy": "Geo",
"requestedBackupStorageRedundancy": "Geo",
"isLedgerOn": false
},
"location": "SoutheastAsia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SoutheastAsia/providers/Microsoft.Sql/servers/testsvr/databases/dbpitr",
"name": "dbpitr",
"type": "Microsoft.Sql/servers/databases"
}
Creates a database with default mode.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia",
"sku": {
"name": "S0",
"tier": "Standard"
},
"properties": {
"createMode": "Default",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 1073741824
}
}
Sample Response
{
"sku": {
"name": "S0",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 1073741824,
"status": "Online",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"isLedgerOn": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "S0",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 1073741824,
"status": "Online",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"isLedgerOn": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Creates a database with ledger on.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia",
"properties": {
"isLedgerOn": true
}
}
Sample Response
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentServiceObjectiveName": "S0",
"currentBackupStorageRedundancy": "Geo",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"zoneRedundant": false,
"isLedgerOn": true
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Zone",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Zone",
"requestedServiceObjectiveName": "S0",
"zoneRedundant": false,
"isLedgerOn": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Creates a database with minimum number of parameters.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia"
}
Sample Response
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentServiceObjectiveName": "S0",
"currentBackupStorageRedundancy": "Geo",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Geo",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Geo",
"requestedServiceObjectiveName": "S0",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Creates a database with preferred maintenance window.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia",
"sku": {
"name": "S2",
"tier": "Standard"
},
"properties": {
"createMode": "Default",
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 1073741824,
"maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_SouthEastAsia_1"
}
}
Sample Response
{
"sku": {
"name": "S2",
"tier": "Standard"
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 1073741824,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"creationDate": "2017-06-07T04:41:33.937Z",
"currentServiceObjectiveName": "S2",
"defaultSecondaryLocation": "North Europe",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"earliestRestoreDate": "2020-08-29T06:41:18.283Z",
"readScale": "Disabled",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 50
},
"currentBackupStorageRedundancy": "Geo",
"requestedBackupStorageRedundancy": "Geo",
"maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_SouthEastAsia_1",
"isLedgerOn": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "S2",
"tier": "Standard"
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 1073741824,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"creationDate": "2017-06-07T04:41:33.937Z",
"currentServiceObjectiveName": "S2",
"defaultSecondaryLocation": "North Europe",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"earliestRestoreDate": "2020-08-29T06:41:18.283Z",
"readScale": "Disabled",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 50
},
"currentBackupStorageRedundancy": "Geo",
"requestedBackupStorageRedundancy": "Geo",
"maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_SouthEastAsia_1",
"isLedgerOn": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Creates a database with specified backup storage redundancy.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia",
"properties": {
"requestedBackupStorageRedundancy": "Zone"
}
}
Sample Response
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Zone",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Zone",
"requestedServiceObjectiveName": "S0",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"maxSizeBytes": 268435456000,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"currentSku": {
"name": "Standard",
"tier": "Standard",
"capacity": 10
},
"creationDate": "2017-06-07T04:41:33.937Z",
"currentBackupStorageRedundancy": "Zone",
"currentServiceObjectiveName": "S0",
"defaultSecondaryLocation": "North Europe",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"readScale": "Disabled",
"requestedBackupStorageRedundancy": "Zone",
"requestedServiceObjectiveName": "S0",
"zoneRedundant": false,
"isLedgerOn": false,
"isInfraEncryptionEnabled": false
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Creates a VCore database by specifying service objective name.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia",
"sku": {
"name": "BC",
"family": "Gen4",
"capacity": 2
}
}
Sample Response
{
"sku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"family": "Gen4",
"capacity": 2
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"maxSizeBytes": 1073741824,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"creationDate": "2017-06-07T04:41:33.937Z",
"currentServiceObjectiveName": "BC_Gen4_2",
"defaultSecondaryLocation": "North Europe",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"licenseType": "LicenseIncluded",
"maxLogSizeBytes": 104857600,
"readScale": "Enabled",
"currentBackupStorageRedundancy": "Geo",
"requestedBackupStorageRedundancy": "Geo",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"currentSku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"capacity": 2
}
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"family": "Gen4",
"capacity": 2
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"maxSizeBytes": 1073741824,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"creationDate": "2017-06-07T04:41:33.937Z",
"currentServiceObjectiveName": "BC_Gen4_2",
"defaultSecondaryLocation": "North Europe",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"licenseType": "LicenseIncluded",
"maxLogSizeBytes": 104857600,
"readScale": "Enabled",
"currentBackupStorageRedundancy": "Geo",
"requestedBackupStorageRedundancy": "Geo",
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"isLedgerOn": false,
"currentSku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"capacity": 2
}
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Creates a VCore database by specifying sku name and capacity.
Sample Request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb?api-version=2021-02-01-preview
{
"location": "southeastasia",
"sku": {
"name": "BC_Gen4",
"capacity": 2
}
}
Sample Response
{
"sku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"family": "Gen4",
"capacity": 2
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"maxSizeBytes": 1073741824,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"creationDate": "2017-06-07T04:41:33.937Z",
"currentServiceObjectiveName": "BC_Gen4_2",
"defaultSecondaryLocation": "North Europe",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"licenseType": "LicenseIncluded",
"maxLogSizeBytes": 104857600,
"readScale": "Enabled",
"currentBackupStorageRedundancy": "Geo",
"requestedBackupStorageRedundancy": "Geo",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"currentSku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"capacity": 2
}
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
{
"sku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"family": "Gen4",
"capacity": 2
},
"kind": "v12.0,user",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"earliestRestoreDate": "2017-06-07T04:51:33.937Z",
"maxSizeBytes": 1073741824,
"status": "Online",
"databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
"creationDate": "2017-06-07T04:41:33.937Z",
"currentServiceObjectiveName": "BC_Gen4_2",
"defaultSecondaryLocation": "North Europe",
"catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
"licenseType": "LicenseIncluded",
"maxLogSizeBytes": 104857600,
"readScale": "Enabled",
"currentBackupStorageRedundancy": "Geo",
"requestedBackupStorageRedundancy": "Geo",
"isLedgerOn": false,
"isInfraEncryptionEnabled": false,
"zoneRedundant": false,
"currentSku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"capacity": 2
}
},
"location": "southeastasia",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
"name": "testdb",
"type": "Microsoft.Sql/servers/databases"
}
Definisi
|
Catalog |
Kolate katalog metadata. |
|
Create |
Menentukan mode pembuatan database. Default: pembuatan database reguler. Salin: membuat database sebagai salinan database yang sudah ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya database sumber. Sekunder: membuat database sebagai replika sekunder dari database yang ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya dari database utama yang ada. PointInTimeRestore: Membuat database dengan memulihkan cadangan titik waktu database yang sudah ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya database yang ada, dan restorePointInTime harus ditentukan. Pemulihan: Membuat database dengan memulihkan cadangan yang direplikasi secara geografis. sourceDatabaseId harus ditentukan sebagai ID sumber daya database yang dapat dipulihkan untuk dipulihkan. Pemulihan: Membuat database dengan memulihkan cadangan database yang dihapus. sourceDatabaseId harus ditentukan. Jika sourceDatabaseId adalah ID sumber daya asli database, maka sourceDatabaseDeletionDate harus ditentukan. Jika tidak, sourceDatabaseId harus berupa ID sumber daya database yang dihilangkan dan sourceDatabaseDeletionDate diabaikan. restorePointInTime juga dapat ditentukan untuk memulihkan dari titik waktu sebelumnya. RestoreLongTermRetentionBackup: Membuat database dengan memulihkan dari vault retensi jangka panjang. recoveryServicesRecoveryPointResourceId harus ditentukan sebagai ID sumber daya titik pemulihan. Copy, Secondary, dan RestoreLongTermRetentionBackup tidak didukung untuk edisi DataWarehouse. |
|
Current |
Jenis akun penyimpanan yang digunakan untuk menyimpan cadangan untuk database ini. |
| Database |
Sumber daya database. |
|
Database |
Jenis lisensi yang akan diterapkan untuk database ini. |
|
Database |
Status perutean baca-saja. Jika diaktifkan, koneksi yang memiliki niat aplikasi diatur ke readonly di string koneksi mereka dapat dirutekan ke replika sekunder baca-saja di wilayah yang sama. |
|
Database |
Status database. |
|
Requested |
Jenis akun penyimpanan yang akan digunakan untuk menyimpan cadangan untuk database ini. |
|
Sample |
Nama skema sampel yang akan diterapkan saat membuat database ini. |
|
Secondary |
Jenis sekunder database jika merupakan sekunder. Nilai yang valid adalah Geo dan Named. |
| Sku |
SKU Sumber Daya ARM. |
CatalogCollationType
Kolate katalog metadata.
| Name | Type | Description |
|---|---|---|
| DATABASE_DEFAULT |
|
|
| SQL_Latin1_General_CP1_CI_AS |
|
CreateMode
Menentukan mode pembuatan database.
Default: pembuatan database reguler.
Salin: membuat database sebagai salinan database yang sudah ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya database sumber.
Sekunder: membuat database sebagai replika sekunder dari database yang ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya dari database utama yang ada.
PointInTimeRestore: Membuat database dengan memulihkan cadangan titik waktu database yang sudah ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya database yang ada, dan restorePointInTime harus ditentukan.
Pemulihan: Membuat database dengan memulihkan cadangan yang direplikasi secara geografis. sourceDatabaseId harus ditentukan sebagai ID sumber daya database yang dapat dipulihkan untuk dipulihkan.
Pemulihan: Membuat database dengan memulihkan cadangan database yang dihapus. sourceDatabaseId harus ditentukan. Jika sourceDatabaseId adalah ID sumber daya asli database, maka sourceDatabaseDeletionDate harus ditentukan. Jika tidak, sourceDatabaseId harus berupa ID sumber daya database yang dihilangkan dan sourceDatabaseDeletionDate diabaikan. restorePointInTime juga dapat ditentukan untuk memulihkan dari titik waktu sebelumnya.
RestoreLongTermRetentionBackup: Membuat database dengan memulihkan dari vault retensi jangka panjang. recoveryServicesRecoveryPointResourceId harus ditentukan sebagai ID sumber daya titik pemulihan.
Copy, Secondary, dan RestoreLongTermRetentionBackup tidak didukung untuk edisi DataWarehouse.
| Name | Type | Description |
|---|---|---|
| Copy |
|
|
| Default |
|
|
| OnlineSecondary |
|
|
| PointInTimeRestore |
|
|
| Recovery |
|
|
| Restore |
|
|
| RestoreExternalBackup |
|
|
| RestoreExternalBackupSecondary |
|
|
| RestoreLongTermRetentionBackup |
|
|
| Secondary |
|
CurrentBackupStorageRedundancy
Jenis akun penyimpanan yang digunakan untuk menyimpan cadangan untuk database ini.
| Name | Type | Description |
|---|---|---|
| Geo |
|
|
| Local |
|
|
| Zone |
|
Database
Sumber daya database.
| Name | Type | Description |
|---|---|---|
| id |
|
ID Sumber Daya. |
| kind |
|
Jenis database. Ini adalah metadata yang digunakan untuk pengalaman portal Azure. |
| location |
|
Lokasi sumber daya. |
| managedBy |
|
Sumber daya yang mengelola database. |
| name |
|
Nama sumber daya. |
| properties.autoPauseDelay |
|
Waktu dalam menit setelah database dijeda secara otomatis. Nilai -1 berarti bahwa jeda otomatis dinonaktifkan |
| properties.catalogCollation |
Kolate katalog metadata. |
|
| properties.collation |
|
Kolae database. |
| properties.createMode |
Menentukan mode pembuatan database. Default: pembuatan database reguler. Salin: membuat database sebagai salinan database yang sudah ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya database sumber. Sekunder: membuat database sebagai replika sekunder dari database yang ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya dari database utama yang ada. PointInTimeRestore: Membuat database dengan memulihkan cadangan titik waktu database yang sudah ada. sourceDatabaseId harus ditentukan sebagai ID sumber daya database yang ada, dan restorePointInTime harus ditentukan. Pemulihan: Membuat database dengan memulihkan cadangan yang direplikasi secara geografis. sourceDatabaseId harus ditentukan sebagai ID sumber daya database yang dapat dipulihkan untuk dipulihkan. Pemulihan: Membuat database dengan memulihkan cadangan database yang dihapus. sourceDatabaseId harus ditentukan. Jika sourceDatabaseId adalah ID sumber daya asli database, maka sourceDatabaseDeletionDate harus ditentukan. Jika tidak, sourceDatabaseId harus berupa ID sumber daya database yang dihilangkan dan sourceDatabaseDeletionDate diabaikan. restorePointInTime juga dapat ditentukan untuk memulihkan dari titik waktu sebelumnya. RestoreLongTermRetentionBackup: Membuat database dengan memulihkan dari vault retensi jangka panjang. recoveryServicesRecoveryPointResourceId harus ditentukan sebagai ID sumber daya titik pemulihan. Copy, Secondary, dan RestoreLongTermRetentionBackup tidak didukung untuk edisi DataWarehouse. |
|
| properties.creationDate |
|
Tanggal pembuatan database (format ISO8601). |
| properties.currentBackupStorageRedundancy |
Jenis akun penyimpanan yang digunakan untuk menyimpan cadangan untuk database ini. |
|
| properties.currentServiceObjectiveName |
|
Nama tujuan tingkat layanan database saat ini. |
| properties.currentSku |
Nama dan tingkat SKU. |
|
| properties.databaseId |
|
ID database. |
| properties.defaultSecondaryLocation |
|
Wilayah sekunder default untuk database ini. |
| properties.earliestRestoreDate |
|
Ini mencatat tanggal dan waktu mulai paling awal yang pemulihan tersedia untuk database ini (format ISO8601). |
| properties.elasticPoolId |
|
Pengidentifikasi sumber daya kumpulan elastis yang berisi database ini. |
| properties.failoverGroupId |
|
Pengidentifikasi sumber daya Grup Failover tempat database ini berada. |
| properties.highAvailabilityReplicaCount |
|
Jumlah replika sekunder yang terkait dengan database yang digunakan untuk memberikan ketersediaan tinggi. |
| properties.isInfraEncryptionEnabled |
|
Enkripsi Infra diaktifkan untuk database ini. |
| properties.isLedgerOn |
|
Apakah database ini adalah database ledger atau tidak, yang berarti semua tabel dalam database adalah tabel ledger. Catatan: nilai properti ini tidak dapat diubah setelah database dibuat. |
| properties.licenseType |
Jenis lisensi yang akan diterapkan untuk database ini. |
|
| properties.longTermRetentionBackupResourceId |
|
Pengidentifikasi sumber daya dari cadangan retensi jangka panjang yang terkait dengan operasi pembuatan database ini. |
| properties.maintenanceConfigurationId |
|
Id konfigurasi pemeliharaan yang ditetapkan ke database. Konfigurasi ini menentukan periode kapan pembaruan pemeliharaan akan terjadi. |
| properties.maxLogSizeBytes |
|
Ukuran log maksimum untuk database ini. |
| properties.maxSizeBytes |
|
Ukuran maksimum database yang dinyatakan dalam byte. |
| properties.minCapacity |
|
Kapasitas minimal yang akan selalu dialokasikan database, jika tidak dijeda |
| properties.pausedDate |
|
Tanggal ketika database dijeda oleh konfigurasi atau tindakan pengguna (format ISO8601). Null jika database siap. |
| properties.readScale |
Status perutean baca-saja. Jika diaktifkan, koneksi yang memiliki niat aplikasi diatur ke readonly di string koneksi mereka dapat dirutekan ke replika sekunder baca-saja di wilayah yang sama. |
|
| properties.recoverableDatabaseId |
|
Pengidentifikasi sumber daya database yang dapat dipulihkan yang terkait dengan operasi pembuatan database ini. |
| properties.recoveryServicesRecoveryPointId |
|
Pengidentifikasi sumber daya titik pemulihan yang terkait dengan operasi pembuatan database ini. |
| properties.requestedBackupStorageRedundancy |
Jenis akun penyimpanan yang akan digunakan untuk menyimpan cadangan untuk database ini. |
|
| properties.requestedServiceObjectiveName |
|
Nama tujuan tingkat layanan database yang diminta. |
| properties.restorableDroppedDatabaseId |
|
Pengidentifikasi sumber daya dari database yang dihilangkan yang dapat dicabut yang terkait dengan operasi pembuatan database ini. |
| properties.restorePointInTime |
|
Menentukan titik waktu (format ISO8601) dari database sumber yang akan dipulihkan untuk membuat database baru. |
| properties.resumedDate |
|
Tanggal ketika database dilanjutkan oleh tindakan pengguna atau login database (format ISO8601). Null jika database dijeda. |
| properties.sampleName |
Nama skema sampel yang akan diterapkan saat membuat database ini. |
|
| properties.secondaryType |
Jenis sekunder database jika merupakan sekunder. Nilai yang valid adalah Geo dan Named. |
|
| properties.sourceDatabaseDeletionDate |
|
Menentukan waktu database dihapus. |
| properties.sourceDatabaseId |
|
Pengidentifikasi sumber daya database sumber yang terkait dengan operasi pembuatan database ini. |
| properties.status |
Status database. |
|
| properties.zoneRedundant |
|
Apakah database ini zona redundan atau tidak, yang berarti replika database ini akan tersebar di beberapa zona ketersediaan. |
| sku |
SKU database. Daftar SKU dapat bervariasi menurut wilayah dan penawaran dukungan. Untuk menentukan SKU (termasuk nama SKU, tingkat/edisi, keluarga, dan kapasitas) yang tersedia untuk langganan Anda di wilayah Azure, gunakan
|
|
| tags |
|
Tag sumber daya. |
| type |
|
Jenis sumber daya |
DatabaseLicenseType
Jenis lisensi yang akan diterapkan untuk database ini. LicenseIncluded jika Anda memerlukan lisensi, atau BasePrice jika Anda memiliki lisensi dan memenuhi syarat untuk Azure Hybrid Benefit.
| Name | Type | Description |
|---|---|---|
| BasePrice |
|
|
| LicenseIncluded |
|
DatabaseReadScale
Status perutean baca-saja. Jika diaktifkan, koneksi yang memiliki niat aplikasi diatur ke readonly di string koneksi mereka dapat dirutekan ke replika sekunder baca-saja di wilayah yang sama.
| Name | Type | Description |
|---|---|---|
| Disabled |
|
|
| Enabled |
|
DatabaseStatus
Status database.
| Name | Type | Description |
|---|---|---|
| AutoClosed |
|
|
| Copying |
|
|
| Creating |
|
|
| Disabled |
|
|
| EmergencyMode |
|
|
| Inaccessible |
|
|
| Offline |
|
|
| OfflineChangingDwPerformanceTiers |
|
|
| OfflineSecondary |
|
|
| Online |
|
|
| OnlineChangingDwPerformanceTiers |
|
|
| Paused |
|
|
| Pausing |
|
|
| Recovering |
|
|
| RecoveryPending |
|
|
| Restoring |
|
|
| Resuming |
|
|
| Scaling |
|
|
| Shutdown |
|
|
| Standby |
|
|
| Suspect |
|
RequestedBackupStorageRedundancy
Jenis akun penyimpanan yang akan digunakan untuk menyimpan cadangan untuk database ini.
| Name | Type | Description |
|---|---|---|
| Geo |
|
|
| Local |
|
|
| Zone |
|
SampleName
Nama skema sampel yang akan diterapkan saat membuat database ini.
| Name | Type | Description |
|---|---|---|
| AdventureWorksLT |
|
|
| WideWorldImportersFull |
|
|
| WideWorldImportersStd |
|
SecondaryType
Jenis sekunder database jika merupakan sekunder. Nilai yang valid adalah Geo dan Named.
| Name | Type | Description |
|---|---|---|
| Geo |
|
|
| Named |
|
Sku
SKU Sumber Daya ARM.
| Name | Type | Description |
|---|---|---|
| capacity |
|
Kapasitas SKU tertentu. |
| family |
|
Jika layanan memiliki generasi perangkat keras yang berbeda, untuk SKU yang sama, maka itu dapat ditangkap di sini. |
| name |
|
Nama SKU, biasanya, kode huruf + Angka, misalnya P3. |
| size |
|
Ukuran SKU tertentu |
| tier |
|
Tingkat atau edisi SKU tertentu, misalnya Dasar, Premium. |